[SA17650] Cerberus FTP Server Denial of Service Vulnerability

2005-11-23T00:00:00
ID SECURITYVULNS:DOC:10331
Type securityvulns
Reporter Securityvulns
Modified 2005-11-23T00:00:00

Description

TITLE: Cerberus FTP Server Denial of Service Vulnerability

SECUNIA ADVISORY ID: SA17650

VERIFY ADVISORY: http://secunia.com/advisories/17650/

CRITICAL: Moderately critical

IMPACT: DoS

WHERE: >From remote

SOFTWARE: Cerberus FTP Server 2.x http://secunia.com/product/1585/

DESCRIPTION: A vulnerability has been reported in Cerberus FTP Server, which potentially can be exploited by malicious people to cause a DoS (Denial of Service).

The vulnerability is caused due to an unspecified error in the packet handling. This can be exploited to cause a stack overflow and crash a vulnerable server by sending multiple specially crafted data packets to a vulnerable server.

The vulnerability has been reported in version 2.32 and prior.

SOLUTION: The vulnerability has been fixed in version 2.4 BETA 1.

PROVIDED AND/OR DISCOVERED BY: Reported by vendor.


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.